Bug 833703 (CVE-2012-3404) - CVE-2012-3404 glibc: incorrect size calculation in formatted printing can lead to FORTIFY_SOURCE format string protection bypass
Summary: CVE-2012-3404 glibc: incorrect size calculation in formatted printing can lea...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2012-3404
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 820868 833716 833717
Blocks: 822803
TreeView+ depends on / blocked
 
Reported: 2012-06-20 07:26 UTC by Stefan Cornelius
Modified: 2019-09-29 12:53 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-07-18 16:37:52 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:1098 normal SHIPPED_LIVE Moderate: glibc security and bug fix update 2012-07-18 19:23:08 UTC
Red Hat Product Errata RHSA-2012:1200 normal SHIPPED_LIVE Moderate: rhev-hypervisor6 security and bug fix update 2012-08-23 18:24:51 UTC

Description Stefan Cornelius 2012-06-20 07:26:28 UTC
It was discovered that the formatted printing functionality in glibc did not properly honor the size of a structure when calculating the amount of memory to allocate. A remote attacker could provide a specially crafted sequence of format specifiers, leading to an undersized buffer allocation and subsequent stack corruption, resulting in a crash or, potentially, FORTIFY_SOURCE format string protection mechanism bypass, when processed.

References:
http://sourceware.org/bugzilla/show_bug.cgi?id=12445
http://sourceware.org/git/?p=glibc.git;a=commitdiff;h=84a4211850e3d23a9d3a4f3b294752a3b30bc0ff

Comment 3 Stefan Cornelius 2012-07-11 10:35:02 UTC
Pulic now/CVEs requested via:
http://www.openwall.com/lists/oss-security/2012/07/11/5

Comment 4 Stefan Cornelius 2012-07-11 17:25:54 UTC
A CVE identifier of CVE-2012-3404 has been assigned to this issue.

Comment 5 errata-xmlrpc 2012-07-18 15:23:55 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:1098 https://rhn.redhat.com/errata/RHSA-2012-1098.html

Comment 6 Vincent Danen 2012-07-18 16:37:52 UTC
Statement:

This issue did not affect the version of glibc as shipped with Red Hat Enterprise Linux 5.

Comment 7 errata-xmlrpc 2012-08-23 14:25:36 UTC
This issue has been addressed in following products:

  RHEV-H and Agents for RHEL-6

Via RHSA-2012:1200 https://rhn.redhat.com/errata/RHSA-2012-1200.html


Note You need to log in before you can comment on or make changes to this bug.